Initialize a new `NyanCat` test reporter.

see

  https://mochajs.org/api/Mocha.reporters.Nyan.html

### Hierarchy

- Base
  - Nyan

## Index

### Modules

- cursor

### Interfaces

- ColorMap
- SymbolMap

### Constructors

- constructor

### Properties

- appendRainbow
- colorIndex
- cursorDown
- cursorUp
- draw
- drawNyanCat
- drawRainbow
- drawScoreboard
- face
- failures
- generateColors
- numberOfLines
- rainbowColors
- rainbowify
- runner
- scoreboardWidth
- stats
- tick
- trajectories
- trajectoryWidthMax
- colors
- inlineDiffs
- symbols
- useColors
- window

### Methods

- done
- epilogue
- color
- generateDiff
- list

## Constructors

### constructor

- new Nyan(runner: Runner, options?: MochaOptions): Nyan
- new Nyan(runner: IRunner, options?: MochaOptions): Nyan

- Inherited from Base.constructor

  - Defined in node_modules/@types/mocha/index.d.ts:685

  #### Parameters

  - ##### runner: Runner

  - ##### Optional options: MochaOptions

  #### Returns Nyan

- Inherited from Base.constructor

  - Defined in node_modules/@types/mocha/index.d.ts:686
  deprecated

    Use the overload that accepts `Mocha.Runner` instead.

  #### Parameters

  - ##### runner: IRunner

  - ##### Optional options: MochaOptions

  #### Returns Nyan

## Properties

### Private appendRainbow

appendRainbow: any

- Defined in node_modules/@types/mocha/index.d.ts:960

### Private colorIndex

colorIndex: any

- Defined in node_modules/@types/mocha/index.d.ts:951

### Private cursorDown

cursorDown: any

- Defined in node_modules/@types/mocha/index.d.ts:965

### Private cursorUp

cursorUp: any

- Defined in node_modules/@types/mocha/index.d.ts:964

### Private draw

draw: any

- Defined in node_modules/@types/mocha/index.d.ts:958

### Private drawNyanCat

drawNyanCat: any

- Defined in node_modules/@types/mocha/index.d.ts:962

### Private drawRainbow

drawRainbow: any

- Defined in node_modules/@types/mocha/index.d.ts:961

### Private drawScoreboard

drawScoreboard: any

- Defined in node_modules/@types/mocha/index.d.ts:959

### Private face

face: any

- Defined in node_modules/@types/mocha/index.d.ts:963

### failures

failures: Test[]

Inherited from Base.failures

- Defined in node_modules/@types/mocha/index.d.ts:698

Test failures

### Private generateColors

generateColors: any

- Defined in node_modules/@types/mocha/index.d.ts:966

### Private numberOfLines

numberOfLines: any

- Defined in node_modules/@types/mocha/index.d.ts:952

### Private rainbowColors

rainbowColors: any

- Defined in node_modules/@types/mocha/index.d.ts:953

### Private rainbowify

rainbowify: any

- Defined in node_modules/@types/mocha/index.d.ts:967

### runner

runner: Runner

Inherited from Base.runner

- Defined in node_modules/@types/mocha/index.d.ts:703

The configured runner

### Private scoreboardWidth

scoreboardWidth: any

- Defined in node_modules/@types/mocha/index.d.ts:954

### stats

stats: Stats

Inherited from Base.stats

- Defined in node_modules/@types/mocha/index.d.ts:693

Test run statistics

### Private tick

tick: any

- Defined in node_modules/@types/mocha/index.d.ts:955

### Private trajectories

trajectories: any

- Defined in node_modules/@types/mocha/index.d.ts:956

### Private trajectoryWidthMax

trajectoryWidthMax: any

- Defined in node_modules/@types/mocha/index.d.ts:957

### Static colors

colors: ColorMap

- Defined in node_modules/@types/mocha/index.d.ts:735

Default color map

see

  https://mochajs.org/api/module-base#.colors

### Static inlineDiffs

inlineDiffs: boolean

- Defined in node_modules/@types/mocha/index.d.ts:728

Inline diffs instead of +/-

see

  https://mochajs.org/api/module-base#.inlineDiffs

### Static symbols

symbols: SymbolMap

- Defined in node_modules/@types/mocha/index.d.ts:780

Default symbol map

see

  https://mochajs.org/api/module-base#.symbols

### Static useColors

useColors: boolean

- Defined in node_modules/@types/mocha/index.d.ts:721

Enables coloring by default

see

  https://mochajs.org/api/module-base#.useColors

### Static window

window: object

- Defined in node_modules/@types/mocha/index.d.ts:808

Expose terminal window size

see

  https://mochajs.org/api/module-base#.window

#### Type declaration

- ##### width: number

## Methods

### Optional done

- done(failures: number, fn?: undefined | function): void

- Inherited from Base.done

  - Defined in node_modules/@types/mocha/index.d.ts:712

  #### Parameters

  - ##### failures: number

  - ##### Optional fn: undefined | function

  #### Returns void

### epilogue

- epilogue(): void

- Inherited from Base.epilogue

  - Defined in node_modules/@types/mocha/index.d.ts:710

  Output common epilogue used by many of the bundled reporters.

  see

    https://mochajs.org/api/Mocha.reporters.Base.html#.Base#epilogue

  #### Returns void

### Static color

- color(type: string, str: string): string

- - Defined in node_modules/@types/mocha/index.d.ts:801

  Color `str` with the given `type` (from `colors`)

  see

    https://mochajs.org/api/module-base#.color

  #### Parameters

  - ##### type: string

  - ##### str: string

  #### Returns string

### Static generateDiff

- generateDiff(actual: string, expected: string): string

- - Defined in node_modules/@types/mocha/index.d.ts:849

  Returns a diff between two strings with colored ANSI output.

  see

    https://mochajs.org/api/module-base#.generateDiff

  #### Parameters

  - ##### actual: string

  - ##### expected: string

  #### Returns string

### Static list

- list(failures: Test[]): void

- - Defined in node_modules/@types/mocha/index.d.ts:856

  Output the given `failures` as a list.

  see

    https://mochajs.org/api/Mocha.reporters.Base.html#.exports.list1

  #### Parameters

  - ##### failures: Test[]

  #### Returns void

Generated using TypeDoc